VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBox.Scene.ImportedNode Class Reference

Node holding imported model. More...

Inheritance diagram for VisimBox.Scene.ImportedNode:

List of all members.

## Public Member Functions
| ImportedNode ()
| ImportedNode (string filename, string format=null)
| ImportedNode (XmlReader reader)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
override void | ReadXml (XmlReader reader)
| Deserializes object from XML.
override void | RenderGeometry (Renderer.RendererEventArgs args)
## Protected Member Functions
override void | CopyData (Node targetNode)
## Properties
string | FileName`[get, set]`
| Imported file name.
string | FileFormat`[get, set]`
| File format of the imported model.
NodeImportSettings | ImportedSettings`[get, set]`
| Settings used to import data.
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Node holding imported model.

## Constructor & Destructor Documentation

VisimBox.Scene.ImportedNode.ImportedNode | ( |  | ) |

VisimBox.Scene.ImportedNode.ImportedNode | ( | string | filename,
|  | string | format = `null`
| ) |  |

VisimBox.Scene.ImportedNode.ImportedNode | ( | XmlReader | reader | ) |

## Member Function Documentation

override void VisimBox.Scene.ImportedNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.RenderableNode.

override bool VisimBox.Scene.ImportedNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.ImportedNode.ReadXml | ( | XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

override void VisimBox.Scene.ImportedNode.RenderGeometry | ( | Renderer.RendererEventArgs | args | ) |

override void VisimBox.Scene.ImportedNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.RenderableNode.

## Property Documentation

override RenderFlags VisimBox.Scene.ImportedNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.RenderableNode.

string VisimBox.Scene.ImportedNode.FileFormat`[get, set]`

File format of the imported model.

string VisimBox.Scene.ImportedNode.FileName`[get, set]`

Imported file name.

NodeImportSettings VisimBox.Scene.ImportedNode.ImportedSettings`[get, set]`

Settings used to import data.

The documentation for this class was generated from the following file:

- ImportedNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events